Hi,

2006/5/30, Victor Shepelev <vshepelev / imho.com.ua>:
> > |Error:in `Iconv#iconv': " " (Iconv::BrokenLibrary)
> > |
> > |If max_length <= 512, all is OK.
> > |
> > |1. Is it normal?
> > |2. Is it documented somewhere?
> >
> > I suspect that it's caused by underlying iconv library on your
> > platform.  Could you show us your platform information?
> >
> > It's OK on my Linux box.
>
> ruby -v
> ruby 1.9.0 (2006-05-01) [i386-mswin32]

You use wrong iconv.dll, which is linked against different
runtime DLL than which ruby is linked to.

Visual C++ 6.0 or later are binary incompatible to each others.

-- 
Nobu Nakada